[SciPy-dev] [SciPy-user] linspace

David M. Cooke cookedm at physics.mcmaster.ca
Mon Dec 5 23:43:04 CST 2005


Travis Oliphant <oliphant.travis at ieee.org> writes:

> David M. Cooke wrote:
>
>>Alan G Isaac <aisaac at american.edu> writes:
>>
>>  
>>
> SciPy full now builds using the recent SVN version of scipy (a few 
> missed changes still needed to be made to f2py).
>
> I'm getting only 1 error in check_odeint1 as well.   So, I think the 
> changes were reasonably successful (especially given how deep the 
> surgery was --- PyArray_Typecode had spread its ugliness everywhere)
>
> Feel free to start relying on SVN again.
>
> -Travis

Isn't compiling for me:

[00:39:39] [~/stuff/python/scipy/core]
cookedm at arbutus$ svn update
At revision 1575.
[00:40:12] [~/stuff/python/scipy/core] 
cookedm at arbutus$ rm -rf build/
[00:40:21] [~/stuff/python/scipy/core] 
cookedm at arbutus$ python setup.py build

[snip]
building 'scipy.base.multiarray' extension
compiling C sources
gcc options: '-pthread -fno-strict-aliasing -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -fPIC'
creating build/temp.linux-x86_64-2.3/scipy
creating build/temp.linux-x86_64-2.3/scipy/base
creating build/temp.linux-x86_64-2.3/scipy/base/src
compile options: '-Ibuild/src/scipy/base/src -Iscipy/base/include -Ibuild/src/scipy/base -Iscipy/base/src -I/usr/include/python2.3 -c'
gcc: scipy/base/src/multiarraymodule.c
In file included from scipy/base/src/multiarraymodule.c:44:
scipy/base/src/arrayobject.c:3325: error: conflicting types for ‘PyArray_NewFromDescr’
build/src/scipy/base/__multiarray_api.h:135: error: previous declaration of ‘PyArray_NewFromDescr’ was here
scipy/base/src/arrayobject.c: In function ‘PyArray_NewFromDescr’:
scipy/base/src/arrayobject.c:3343: warning: passing argument 4 of ‘PyArray_NewFromDescr’ from incompatible pointer type
scipy/base/src/arrayobject.c:3343: warning: passing argument 5 of ‘PyArray_NewFromDescr’ from incompatible pointer type
scipy/base/src/arrayobject.c:3399: warning: passing argument 2 of ‘_array_fill_strides’ from incompatible pointer type
scipy/base/src/arrayobject.c: In function ‘array_new’:
scipy/base/src/arrayobject.c:3718: warning: passing argument 4 of ‘PyArray_NewFromDescr’ from incompatible pointer type
scipy/base/src/arrayobject.c:3767: warning: passing argument 4 of ‘PyArray_


(and more)

I think the declarations in
scipy/base/code_generators/generate_array_api.py are out of sync with
current reality.

I'm looking at making something that'll pull API declarations directly
from the files (with some minimal markup) so that this doesn't happen.

-- 
|>|\/|<
/--------------------------------------------------------------------------\
|David M. Cooke                      http://arbutus.physics.mcmaster.ca/dmc/
|cookedm at physics.mcmaster.ca




More information about the Scipy-dev mailing list